nsd-checkzone(8)

NAME
nsd-checkzone - NSD zone file syntax checker.

SYNOPSIS
nsd-checkzone [-h] zonename zonefile

DESCRIPTION
nsd-checkzone reads a DNS zone file and checks it for errors. It prints errors to stderr. On failure it exits with nonzero exit status.

This is used to check files before feeding them to the nsd(8) daemon.

OPTIONS

-h  Print usage help information and exit.

zonename
    The name of the zone to check, eg. "example.com".

zonefile
    The file to read, eg. "zones/example.com.zone.signed".

-p  Print the zone contents to stdout if the zone is ok. This prints the contents as it has been parsed, not literally a copy of the input, but as printed by the formatting routines in NSD, much like the nsd-control command write does.

SEE ALSO
nsd(8), nsd-checkconf(8)

AUTHORS
NSD was written by NLnet Labs and RIPE NCC joint team. Please see CREDITS file in the distribution for further details.